com.amazonaws.services.codebuild.model

## Class ListBuildsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codebuild.model.ListBuildsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class ListBuildsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListBuildsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListBuildsResult` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getIds()` A list of build IDs, with each build ID representing a single build.
`String` `getNextToken()` If there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token.
`int` `hashCode()`
`void` `setIds(Collection<String> ids)` A list of build IDs, with each build ID representing a single build.
`void` `setNextToken(String nextToken)` If there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListBuildsResult` `withIds(Collection<String> ids)` A list of build IDs, with each build ID representing a single build.
`ListBuildsResult` `withIds(String... ids)` A list of build IDs, with each build ID representing a single build.
`ListBuildsResult` `withNextToken(String nextToken)` If there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListBuildsResult

    public ListBuildsResult()

### Method Detail

#### getIds

    public List<String> getIds()

A list of build IDs, with each build ID representing a single build.

Returns:
  A list of build IDs, with each build ID representing a single build.

#### setIds

    public void setIds(Collection<String> ids)

A list of build IDs, with each build ID representing a single build.

Parameters:
  `ids` - A list of build IDs, with each build ID representing a single build.

#### withIds

    public ListBuildsResult withIds(String... ids)

A list of build IDs, with each build ID representing a single build.

NOTE: This method appends the values to the existing list (if any). Use `setIds(java.util.Collection)` or `withIds(java.util.Collection)` if you want to override the existing values.

Parameters:
  `ids` - A list of build IDs, with each build ID representing a single build.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withIds

    public ListBuildsResult withIds(Collection<String> ids)

A list of build IDs, with each build ID representing a single build.

Parameters:
  `ids` - A list of build IDs, with each build ID representing a single build.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

If there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call.

Parameters:
  `nextToken` - If there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call.

#### getNextToken

    public String getNextToken()

If there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call.

Returns:
  If there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call.

#### withNextToken

    public ListBuildsResult withNextToken(String nextToken)

If there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call.

Parameters:
  `nextToken` - If there are more than 100 items in the list, only the first 100 items are returned, along with a unique string called a next token. To get the next batch of items in the list, call this operation again, adding the next token to the call.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListBuildsResult clone()

Overrides:
  `clone` in class `Object`